# Renovate Bot

[![Build Status](https://drone.autonomic.zone/api/badges/autonomic-cooperative/renovate-bot/status.svg)](https://drone.autonomic.zone/autonomic-cooperative/renovate-bot)

A robot who upgrades our configurations.

See [config.js](./config.js.tmpl) for the configured repositories.

<!-- metadata -->
* **Category**: Development
* **Status**: ?
* **Image**: [`renovate/renovate`](https://hub.docker.com/r/renovate/renovate), ❶💚, upstream
* **Healthcheck**: No
* **Backups**: ?
* **Email**: ?
* **Tests**: ❷💛
* **SSO**: ?
<!-- endmetadata -->

## Basic usage

1. Set up Docker Swarm and [`abra`][abra]
2. Deploy [`coop-cloud/traefik`][cc-traefik]
3. `abra app new renovate-bot --secrets` (optionally with `--pass` if you'd like
   to save secrets in `pass`)
4. `abra app YOURAPPDOMAIN config` - be sure to change `$DOMAIN` to something that resolves to
   your Docker swarm box
5. `abra app YOURAPPDOMAIN deploy`

[`abra`]: https://git.autonomic.zone/autonomic-cooperative/abra
[`coop-cloud/traefik`]: https://git.autonomic.zone/coop-cloud/traefik
